@import "_variables.less";

.contact-sheet {
  display: flex;

  &.close {
    position: absolute;
    right: 20px;
    top: 5px;
    padding: 15px;
    color: @color-light;
    opacity: 1;
    z-index: 10000;
    &:hover {
      color: @xivo-primary;
      opacity: 1;
    }
  }

  .name-service-post-section {
    margin-left: 15px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;

    .name-surname, .job, .business-unit {
      text-overflow: ellipsis;
      max-width: 280px;
      overflow: hidden;
      white-space: nowrap;
    }
  }

  .avatar-status {
    width: 82px;
    height: 82px;
    min-width: 82px;
    min-height: 82px;
    .avatar-circle {
      width: 77px;
      height: 77px;
      span {
        font-size: 30px;
      }
    }
  }

  .avatar-star {
    position: relative;
    bottom: -30px;
    left: -18px;
    top: unset;
    right: unset;
    .glyph-btn {
      font-size: 20px;
    }
  }

  &.action {
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 45;
    position: relative;
    margin-bottom: 10px;
  }


  &.header {
    justify-content: start;
    flex-direction: row;
    padding-left: 15px;
    align-items: center;
    margin-left: 15px;

    .name-surname {
      font-weight: bold;
      font-size: 20px;
    }
  }

  &.body {
    flex-direction: column;
    margin-bottom: 25px;
    overflow-y: auto;
    max-height:  ~"calc(100vh - 190px - 130px - 28px)";
  }

  &.section {
    flex-direction: column;
    align-items: start;
    justify-content: start;
    box-shadow: 0px 15px 20px -10px rgba(0, 0, 0, 0.05);
    margin: 7.5px 15px;
    
    .fa-chevron-right, .fa-chevron-down {
      .gradient-background(@btn-primary-color-off);
      
      &:hover {
        .gradient-background(@btn-primary-color-hover)
      }
    }


    &.collapsed {
      box-shadow: none;
      .line{
      display: none;
    }
  }
    
    .title {
      color: black;
      font-weight: bold;
      margin: 15px 0 5px 0;
    }

    .line ~ .line {
      border-radius: unset;
    }
    .line:not(:has(~ .line)) {
      border-bottom: none;
      border-radius: 0 0 8px 8px;
    }

    .line {
      border-radius: 8px 8px 0 0;
      background-color: @xivo-light;
      display: flex;
      justify-content: space-between;
      border-bottom: @contact-sheet-border-color 1px solid;
      width: 100%;
      padding: 5px;

      .callable {
        &:hover {
          color: @btn-primary-color-hover-1;
          i {
            .gradient-background(@btn-primary-color-hover)
          }
        }
        color: @btn-primary-color-off-1;
        i {
          .gradient-background(@btn-primary-color-off)
        }
      }

      .label {
        color: grey;
      }
      .value {
        display: inline-flex;
        text-align: right;

        a {
          color: @btn-primary-color-off-1;
          .gradient-background(initial,initial,initial);
          &:hover {
            color: @btn-primary-color-hover-1;
            .gradient-background(initial,initial,initial);
          }
        }

        span, a {
          text-overflow: ellipsis;
          max-width: 250px;
          overflow: hidden;
          white-space: normal;
          }
      }

      .copy {
        cursor: copy;
        margin-left: 10px;
        text-decoration: none;
      }
      a {
        text-overflow: ellipsis;
        text-decoration: none;
        &.send-email, &.send-email:hover {
          color: @color-normal;

        }
      }
    }
  }
}


.modal-open .modal.contact-sheet-modal {
  width: 0 !important;
  overflow: visible;

  &.fade.in {
    backdrop-filter: unset;
  }

  .modal-dialog {
    margin-top: 200px;
    width: 470px;
    left: 0;
  }

  .modal-content {
    border-radius: 30px;
    background: @modal-bg;
    font-size: 16px;
    max-height: ~"calc(100vh - 190px)";
  }

  .modal-backdrop {
    width: 0;
  }
}